Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.direct
Class GenericNetwork

    java.lang.Object
      rice.pastry.direct.BasicNetworkSimulator
          rice.pastry.direct.GenericNetwork

All Implemented Interfaces:
  NetworkSimulator

    public class GenericNetwork

extends BasicNetworkSimulator

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Field Summary
`java.util.HashSet` | `assignedIndices` DESCRIBE THE FIELD
`java.io.File` | `inFile_Matrix` DESCRIBE THE FIELD
`static int` | `MAXOVERLAYSIZE` DESCRIBE THE FIELD
`java.util.Hashtable` | `nodePos` DESCRIBE THE FIELD

Fields inherited from class rice.pastry.direct.BasicNetworkSimulator
`logger, manager, maxDiameter, MIN_DELAY, minDelay, random`

Constructor Summary
`GenericNetwork(Environment env)` Constructor for GenericNetwork.
`GenericNetwork(Environment env, java.io.File inFile)` Constructor for GenericNetwork.
`GenericNetwork(Environment env, java.lang.String inFile)` Constructor for GenericNetwork.

Method Summary
`NodeRecord` | `generateNodeRecord()` DESCRIBE THE METHOD
`void` | `readOverlayMatrix()` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.direct.BasicNetworkSimulator
`deliverMessage, deliverMessage, deliverMessage, deliverMessageFixedRate, destroy, enqueueDelivery, getClosest, getEnvironment, getTestRecord, isAlive, networkDelay, proximity, registerNode, removeNode, setFullSpeed, setMaxSpeed, setTestRecord, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nodePos

    public java.util.Hashtable nodePos

  DESCRIBE THE FIELD

### assignedIndices

    public java.util.HashSet assignedIndices

  DESCRIBE THE FIELD

### inFile_Matrix

    public java.io.File inFile_Matrix

  DESCRIBE THE FIELD

### MAXOVERLAYSIZE

    public static int MAXOVERLAYSIZE

  DESCRIBE THE FIELD

Constructor Detail

### GenericNetwork

    public GenericNetwork(Environment env,
                          java.lang.String inFile)

  Constructor for GenericNetwork.

  Parameters:
    `env` - DESCRIBE THE PARAMETER
    `inFile` - DESCRIBE THE PARAMETER

### GenericNetwork

    public GenericNetwork(Environment env)

  Constructor for GenericNetwork.

  Parameters:
    `env` - DESCRIBE THE PARAMETER

### GenericNetwork

    public GenericNetwork(Environment env,
                          java.io.File inFile)

  Constructor for GenericNetwork.

  Parameters:
    `env` - DESCRIBE THE PARAMETER
    `inFile` - DESCRIBE THE PARAMETER

Method Detail

### generateNodeRecord

    public NodeRecord generateNodeRecord()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### readOverlayMatrix

    public void readOverlayMatrix()

  DESCRIBE THE METHOD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.